package com.huijy.management.service;

import java.util.List;
import com.huijy.management.domain.Marker;

/**
 * 标记物管理Service接口
 *
 * @author luobo
 * @date 2021-09-08
 */
public interface IMarkerService
{
    /**
     * 查询标记物管理
     *
     * @param markerId 标记物管理主键
     * @return 标记物管理
     */
    public Marker selectMarkerByMarkerId(Long markerId);

    /**
     * 查询标记物管理列表
     *
     * @param marker 标记物管理
     * @return 标记物管理集合
     */
    public List<Marker> selectMarkerList(Marker marker);

    List<Marker> selectMarkerList(Long contentId);
    /**
     * 新增标记物管理
     *
     * @param marker 标记物管理
     * @return 结果
     */
    public int insertMarker(Marker marker);

    /**
     * 修改标记物管理
     *
     * @param marker 标记物管理
     * @return 结果
     */
    public int updateMarker(Marker marker);

    /**
     * 批量删除标记物管理
     *
     * @param markerIds 需要删除的标记物管理主键集合
     * @return 结果
     */
    public int deleteMarkerByMarkerIds(Long[] markerIds);

    /**
     * 删除标记物管理信息
     *
     * @param markerId 标记物管理主键
     * @return 结果
     */
    public int deleteMarkerByMarkerId(Long markerId);
}
